Bug 474012 - (qodem) Review Request: qodem - terminal emulator and communications package.
Review Request: qodem - terminal emulator and communications package.
Status: CLOSED DUPLICATE of bug 725267
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://qodem.sourceforge.net/
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:25 EST by Jeff Gustafson
Modified: 2011-07-24 18:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-24 18:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch Makefile so that it ignores the included gettext directory (1.81 KB, patch)
2008-12-15 16:53 EST, Jeff Gustafson
no flags Details | Diff

  None (edit)
Description Jeff Gustafson 2008-12-01 14:25:02 EST
Spec URL: http://marlene.zimage.com/packages/qodem.spec
SRPM URL: http://marlene.zimage.com/packages/qodem-0.1.2-1.fc10.src.rpm
Description: Qodem is an open-source re-implementation of the once-popular
Qmodem(tm) shareware communications package. Qodem (pronounced 'kodem',
rhymes with 'modem') is now in beta. Its main features are:

    * Terminal interface: scrollback buffer, capture file, screen dump
    * Convenience: dialing directory, command-line invocation
    * Connection methods: serial, local shell, telnet, ssh, rlogin, rsh
    * Emulations: ANSI (with "ANSI music"), Avatar, VT52, VT100/102, VT220,
      Linux
    * Transfer protocols: X/Y/Zmodem, Kermit
    * Programmability: keyboard macros, full scripting

---------------

I recently discovered this program and have found it to be useful for talking to some types of communications equipment via the serial port.  Most of the time I just use 'cu -l /dev/ttyS0', but sometimes I need terminal emulation.  I find that qodem loads faster than minicom.  It is a small program that was easy to make into a package, so I decided to see if it would be useful to others.  I think it would be a small, but very useful contribution to Fedora's package repository.
Comment 1 Jeff Gustafson 2008-12-08 19:39:02 EST
Is there anything else I need to do to this package/spec to spur further consideration on this package?
Comment 2 manuel wolfshant 2008-12-12 22:25:02 EST
At the first glance, I'd say that the license should be GPLv2+ because all the source files include either 
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published
   by the Free Software Foundation; either version 2, or (at your option)
   any later version.
or (note the "later" in the last line )
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
The combination LGPLv2+ + GPLv2+ = GPLv2+

You should also drop the Requires line, rpmbuild will add the dependency automatically.

The INSTALL file is useless for the users of the packaged qodem so I suggest to not include it at all. OTOH, you should include the manpage available as docs/qodem.1.The content of the NEWS file makes reference to a [much] older version, I would not include it (no problem however if you keep it, but the elegant procedure would be to remove it now and reinclude it if/when real news are provided).

For language files there is a special procedure, please read and follow https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files. Please make sure you do not build your package against the bundled gettext (it is included below the intl/ directory). You should BuildRequire gettext instead.
Comment 3 Jeff Gustafson 2008-12-15 16:53:53 EST
Created attachment 327029 [details]
Patch Makefile so that it ignores the included gettext directory
Comment 4 Jeff Gustafson 2008-12-15 16:57:40 EST
Thank you for checking out the package.

I made the suggested changes.  I make some quick changes to force the build to use the system-wide gettext.  Let me know if this is either too heavy-handed or not going far enough.  I included the patch as an attachment to this bug entry.  I updated the .spec file and copied it up to the location initially reported in this entry.

One other option would be to use the English-only .tar.gz file for qodem and avoid the gettext issue entirely.  That way no .patch file would be needed.
Comment 5 manuel wolfshant 2009-01-31 21:43:54 EST
Jeff, is there an updated package available for review ? At http://marlene.zimage.com/packages/ I can only see the first src.rpm

Please do not forget to increment the release tag and add a proper entry in the changelog each time you make modifications to the spec.

Are you already sponsored? I have not found you in FAS.
Comment 6 Jason Tibbitts 2009-07-14 14:01:07 EDT
It's been many months since the last comment with no response from the submitter; I'll close this ticket soon if there's no progress.
Comment 7 Jeff Gustafson 2009-07-14 21:07:22 EDT
Somehow I must have missed your message.  I made the requested changes.  If there is issues with gettext, I will just compile with the English only version.
Comment 8 Jason Tibbitts 2009-07-14 22:46:59 EDT
Sorry, where did you make the requested changes?  Could you post links to the updated spec and src.rpm?
Comment 9 Thomas Spura 2009-10-23 16:43:18 EDT
(In reply to comment #5)
> Are you already sponsored? I have not found you in FAS.  

I didn't found you, too and can't find an answer to the question in a comment above.
Asking again: Are you already sponsored?


(In reply to comment #6)
> It's been many months since the last comment with no response from the
> submitter; I'll close this ticket soon if there's no progress.  

There seems to be progress, but no release incremention...

Your changelog from above is:
%changelog
* Sun Nov 30 2008 Jeff Gustafson <jeffgus at, fedoraproject.org> - 0.1.2-1
- Initial package creation

After applying the patch you could write:

%changelog
* Sun Oct 4 2009 Jeff Gustafson <jeffgus at, fedoraproject.org> - 0.1.2-2
- patch for gettext


* Sun Nov 30 2008 Jeff Gustafson <jeffgus at, fedoraproject.org> - 0.1.2-1
- Initial package creation


Notice the version incremention from 0.1.2-1 to 0.1.2-2.


And post *new* links to the uploaded spec and src.rpm...

(In reply to comment #6)
> It's been many months since the last comment with no response from the
> submitter; I'll close this ticket soon if there's no progress.  

Some month later, "soon" starts again from now on :)
Comment 10 Jason Tibbitts 2009-11-07 22:08:52 EST
There's been no response in many months; I'm just going to go ahead and close this.
Comment 11 Richard Shaw 2011-07-24 08:25:52 EDT
I recently did some retro-BBS'ing and found qodem. I've created a package that I think should be acceptable.

SPEC: http://hobbes1069.fedorapeople.org/qodem/qodem.spec
SRPM: http://hobbes1069.fedorapeople.org/qodem/qodem-0.3.2-1.fc14.src.rpm
Comment 12 Richard Shaw 2011-07-24 08:26:59 EDT
I'm not going to consider this bug "ASSIGNED" anymore....
Comment 13 Thomas Spura 2011-07-24 08:46:24 EDT
You should open your own review request and close this one as a duplicate of the new one. Then reporter is equal to review requester...
Comment 14 Richard Shaw 2011-07-24 18:32:09 EDT

*** This bug has been marked as a duplicate of bug 725267 ***

Note You need to log in before you can comment on or make changes to this bug.